%define majver %(echo %version | cut -d. -f1-2)

Name:          syntax-highlighting
Version:       5.39.0
Release:       1mamba
Summary:       KDE Frameworks 5 Syntax highlighting engine for Kate syntax definitions
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/syntax-highlighting-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Syntax highlighting engine for Kate syntax definitions.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name} --with-man --with-qt --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name} -f %{name}.lang
%defattr(-,root,root)
%{_kde5_libdir}/libKF5SyntaxHighlighting.so.*
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_sysconfdir}/xdg/org_kde_ksyntaxhighlighting.categories
%{_bindir}/kate-syntax-highlighter
%dir %{_kde5_includedir}/KSyntaxHighlighting
%{_kde5_includedir}/KSyntaxHighlighting/*
%{_kde5_includedir}/ksyntaxhighlighting_version.h
%dir %{_kde5_libdir}/cmake/KF5SyntaxHighlighting
%{_kde5_libdir}/cmake/KF5SyntaxHighlighting/KF5SyntaxHighlighting*.cmake
%{_kde5_libdir}/libKF5SyntaxHighlighting.so
%{_kde5_mkspecsdir}/qt_KSyntaxHighlighting.pri

%changelog
* Sat Oct 21 2017 Automatic Build System <autodist@mambasoft.it> 5.39.0-1mamba
- automatic version update by autodist

* Mon Sep 11 2017 Automatic Build System <autodist@mambasoft.it> 5.38.0-1mamba
- automatic version update by autodist

* Fri Aug 18 2017 Automatic Build System <autodist@mambasoft.it> 5.37.0-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 5.36.0-1mamba
- automatic version update by autodist

* Sat Mar 18 2017 Automatic Build System <autodist@mambasoft.it> 5.32.0-1mamba
- automatic version update by autodist

* Wed Mar 08 2017 Automatic Build System <autodist@mambasoft.it> 5.31.0-1mamba
- automatic version update by autodist

* Fri Jan 27 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.30.0-1mamba
- update to 5.30.0

* Tue Dec 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.29.0-1mamba
- package created using the webbuild interface
